<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { paneTypes, sortEnum } from '@/enums/enums';
import { useDashboardStore } from '@/stores/dashboard';
import { storeToRefs } from 'pinia';
import Button from '@/components/general/Button.vue';
//import Tooltip from '@/components/general/Tooltip.vue';

const store = useDashboardStore();
const { selectedPaneType, selectedSort } = storeToRefs(store);

const changeTab = (tab: paneTypes) => {
    selectedPaneType.value = tab;
}

const changeSort = (sort: sortEnum) => {
    selectedSort.value = sort;
}

const types = [paneTypes.ALL, paneTypes.FREEFORM, paneTypes.SCHEDULE, paneTypes.STREAM, paneTypes.TIMELINE];

</script>
<template>
    <div class="py-2 w-full flex flex-row">
        <div class="flex flex-row gap-2 mx-auto flex-wrap justify-center">
            <div class="w-fit" :key="'type_' + index" v-for="item, index in types">
                <Button :ellipsis=true size="small" :variant="selectedPaneType === item ? 'confirm' : 'default-dark'"
                    @click="changeTab(item)">{{ $t(`dashboardPage.types.${item}`) }}</Button>
            </div>
            <div class="mt-1 w-1 h-8 border-r border-gray-300"></div>
            <div class="w-fit">
                <Tooltip
                    :tooltip="$t('dashboardPage.filterBy.date.lastVisited') + ' (' + $t('dashboardPage.filterBy.date.descendingLabel') + ')'">
                    <Button :ellipsis=true size="small"
                        :variant="selectedSort === sortEnum.DESC ? 'confirm' : 'default-dark'"
                        @click="changeSort(sortEnum.DESC)">{{ $t("dashboardPage.filterBy.date.lastVisited") }} {{
                            $t("dashboardPage.filterBy.date.descendingIcon") }}</Button>
                </Tooltip>
            </div>
            <div class="w-fit">
                <Tooltip
                    :tooltip="$t('dashboardPage.filterBy.date.lastVisited') + ' (' + $t('dashboardPage.filterBy.date.ascendingLabel') + ')'">
                    <Button :ellipsis=true size="small" :variant="selectedSort === sortEnum.ASC ? 'confirm' : 'default-dark'"
                        @click="changeSort(sortEnum.ASC)">{{ $t("dashboardPage.filterBy.date.lastVisited") }} {{
                            $t("dashboardPage.filterBy.date.ascendingIcon")}}</Button>
                </Tooltip>
            </div>
        </div>
    </div>
</template>